curl --request POST \
--url https://dev.flextell.ai/api/v1/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "jsmith@example.com",
"date_of_birth": "2023-11-07T05:31:56Z",
"gender": "male",
"country_id": 123,
"identity_number": "<string>",
"job": "<string>",
"address": "<string>",
"default_channel_id": 123,
"user_id": 123
}
'{
"success": "<string>",
"data": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "<string>",
"date_of_birth": "2023-11-07T05:31:56Z",
"gender": "male",
"country_name": "<string>",
"identity_number": "<string>",
"job": "<string>",
"address": "<string>",
"default_channel_id": 123,
"avatar_url": "<string>",
"related_user": {
"id": 123,
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
}The access token received from the authorization server in the OAuth 2.0 flow.
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Customer's first name.
255Customer's last name.
255Customer's phone number.
20Customer's email address.
255Customer's date of birth.
Customer's gender.
male, female, other Customer's country identifier.
Customer's identity number.
Customer's job title.
255Customer's address.
1000The customer's preferred default channel.
Assigned user identifier.
curl --request POST \
--url https://dev.flextell.ai/api/v1/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "jsmith@example.com",
"date_of_birth": "2023-11-07T05:31:56Z",
"gender": "male",
"country_id": 123,
"identity_number": "<string>",
"job": "<string>",
"address": "<string>",
"default_channel_id": 123,
"user_id": 123
}
'{
"success": "<string>",
"data": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "<string>",
"date_of_birth": "2023-11-07T05:31:56Z",
"gender": "male",
"country_name": "<string>",
"identity_number": "<string>",
"job": "<string>",
"address": "<string>",
"default_channel_id": 123,
"avatar_url": "<string>",
"related_user": {
"id": 123,
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
}